Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt

Use this file to discover all available pages before exploring further.

$3 / 1k listings Get Airbnb listing details — price, availability, ratings, host info, amenities — from listing URLs

Endpoint

POST /api/v1/agents/airbnb/listings/run

Parameters

urls
array
required
List · Airbnb listing URLs (https://www.airbnb.com/rooms/…). One per line.
checkIn
date
Date picker · Check-in date for availability and price.
checkOut
date
Date picker · Check-out date for availability and price.
adults
integer
Number · Number of adults in the party.
children
integer
Number · Number of children (ages 2-12).
infants
integer
Number · Number of infants (under 2).
pets
integer
Number · Number of pets.
locale
string
default:"en-US"
Dropdown · Language and region for the listing data.View all 93 options →
currency
string
default:"USD"
Dropdown · Currency for prices.View all 48 options →

Response columns

FieldDisplay nameType
listingUrlListing URLurl
titleTitletext
descriptionDescriptiontext
propertyTypeProperty Typetext
roomTypeRoom Typetext
capacityCapacitynumber
homeTierHome Tiernumber
availableAvailableboolean
locationLocationtext
locationSubtitleLocation Subtitletext
latitudeLatitudenumber
longitudeLongitudenumber
guestSatisfactionGuest Satisfactionrating
accuracyAccuracyrating
cleanlinessCleanlinessrating
communicationCommunicationrating
checkInCheck-inrating
locationRatingLocation Ratingrating
valueValuerating
reviewCountReview Countnumber
hostHosttext
hostPictureHost Pictureurl
coHostCo-Hosttext
coHostPictureCo-Host Pictureurl
amenityGroupAmenity Grouptext
highlightHighlighttext
highlightSubtitleHighlight Subtitletext
cancellationPolicyCancellation Policytext
languageLanguagetext
hostIsSuperHostHost Is Super Hostboolean
hostIsVerifiedHost Is Verifiedboolean
hostRatingAverageHost Rating Averagenumber
hostRatingCountHost Rating Countinteger
hostTimeAsHostMonthsHost Time As Host Monthsinteger
hostTimeAsHostYearsHost Time As Host Yearsinteger
imagesCaptionImages Captiontext
imageUrlImage URLurl
imagesOrientationImages Orientationtext
thumbnailThumbnailurl
iosDeepLinkiOS Deep Linktext
androidDeepLinkAndroid Deep Linktext

Example

curl -X POST https://api.mindcase.co/api/v1/agents/airbnb/listings/run \
  -H "Authorization: Bearer mk_live_abc123def456" \
  -H "Content-Type: application/json" \
  -d '{
  "params": {
    "urls": [
      {
        "url": "https://www.airbnb.com/rooms/37879131"
      },
      {
        "url": "https://www.airbnb.com/rooms/1010503905929192028"
      },
      {
        "url": "https://www.airbnb.com/rooms/1404403902815216178"
      },
      {
        "url": "https://www.airbnb.com/rooms/1675554791743847017"
      },
      {
        "url": "https://www.airbnb.com/rooms/1285887172744396690"
      },
      {
        "url": "https://www.airbnb.com/rooms/1667608485035315996"
      },
      {
        "url": "https://www.airbnb.com/rooms/1643351505460876003"
      },
      {
        "url": "https://www.airbnb.com/rooms/993759176942173865"
      },
      {
        "url": "https://www.airbnb.com/rooms/700888293266225258"
      },
      {
        "url": "https://www.airbnb.com/rooms/934107469692156357"
      }
    ],
    "locale": "en-US",
    "currency": "USD"
  }
}'

Example response

Response
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "listingUrl": "https://www.airbnb.com/rooms/1667608485035315996?locale=en-US&currency=USD",
      "title": "Studio Ivory | MetLife & Manhattan Near",
      "description": "Studio Ivory is a private, modern, and cozy space, ideal for travelers visiting Manhattan or attending events at MetLife Stadium, including the World Cup. Located in North Jersey, it offers quick access to NYC and the stadium by car or public transport. It has a private entrance, a comfortable bed, a private bathroom, a Smart TV, a mini-fridge, and a coffee area. Perfect for relaxing in peace after a day of sightseeing, concerts, or games.",
      "propertyType": "Entire rental unit",
      "roomType": "Entire home/apt",
      "capacity": 2,
      "homeTier": 1,
      "available": false,
      "location": "North Bergen",
      "locationSubtitle": "North Bergen, New Jersey, United States",
      "latitude": 40.78717795252641,
      "longitude": -74.02877929797327,
      "guestSatisfaction": 5,
      "accuracy": 5,
      "cleanliness": 5,
      "communication": 5,
      "checkIn": 5,
      "locationRating": 5,
      "value": 5,
      "reviewCount": 3,
      "host": "Lenin",
      "hostPicture": "https://a0.muscache.com/im/pictures/user/3865ddfd-ebeb-4c5d-bd3c-24befd182d61.jpg",
      "coHost": null,
      "coHostPicture": null,
      "amenityGroup": null,
      "highlight": null,
      "highlightSubtitle": null,
      "cancellationPolicy": null,
      "language": "en",
      "hostIsSuperHost": true,
      "hostIsVerified": true,
      "hostRatingAverage": 4.91,
      "hostRatingCount": 97,
      "hostTimeAsHostMonths": 0,
      "hostTimeAsHostYears": 1,
      "imagesCaption": null,
      "imageUrl": null,
      "imagesOrientation": null,
      "thumbnail": "https://a0.muscache.com/im/pictures/hosting/Hosting-1667608485035315996/original/744b3f1a-db87-4fde-90d5-b06ac2f2cf2b.png",
      "iosDeepLink": "airbnb://rooms/1667608485035315996",
      "androidDeepLink": "airbnb://rooms/1667608485035315996"
    }
  ]
}